summarylogtreecommitdiffstats
path: root/fireblocks-recovery-utility.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-14 09:15:51 +0800
committerzxp198210052023-12-14 09:15:51 +0800
commit9618da2efae15d124c1d8205b7d193388db7e81e (patch)
tree83d151a55bed386d4364d424790101cf28de39de /fireblocks-recovery-utility.sh
parent51137f3d150eb846730d31699a9bdb9141952ad9 (diff)
downloadaur-9618da2efae15d124c1d8205b7d193388db7e81e.tar.gz
update to 0.4.0
Diffstat (limited to 'fireblocks-recovery-utility.sh')
-rw-r--r--fireblocks-recovery-utility.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/fireblocks-recovery-utility.sh b/fireblocks-recovery-utility.sh
new file mode 100644
index 000000000000..cff7276f82d2
--- /dev/null
+++ b/fireblocks-recovery-utility.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+if [[ "${EUID}" -ne 0 ]] || [[ "${ELECTRON_RUN_AS_NODE}" ]]; then
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+else
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+fi \ No newline at end of file